#language: ru

@quality_control

Функционал: 03_quality_control. Запуск обработок Дерево-Материал - Продукция

Сценарий: 03_quality_control. Запуск обработок Дерево-Материал - Продукция
	Дано Я переключаюсь на открытый клиент "qual_Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Дерево Материал->Продукция'
	Тогда открылось окно 'Прослеживаемость Материал->Продукция'
	И я нажимаю кнопку выбора у поля "Материал"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 50%'    |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Прослеживаемость Материал->Продукция'
	И я нажимаю кнопку выбора у поля "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '01.11.2018'   | '1'     |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Прослеживаемость Материал->Продукция'
	И в таблице "ДеревоПродукции" я нажимаю на кнопку 'Обновить'
	И таблица "ДеревоПродукции" стала равной:
		| 'Номенклатура'   | 'Количество 1' | 'Характеристика'    | 'Серия'                   | '% расхода' | 'Количество продукции' | '% расхода 1' | 'Количество 2' | 'Количество'     | '% расхода 2' |
		| 'Смесь 50%'      | ''             | '<не используются>' | '1 до 01.11.2018 0:00:00' | '0.000'     | '10 000.000, кг'       | ''            | ''             | '0.000'          | ''            |
		| 'Российский 50%' | ''             | 'Варка'             | '11.11.2018/1'            | '100.000'   | '950.000, кг'          | ''            | ''             | '10 000.000, кг' | ''            |
	И в таблице "ДеревоПродукции" я перехожу к строке:
		| '% расхода' | 'Количество' | 'Количество продукции' | 'Номенклатура' | 'Серия'                   | 'Характеристика'    |
		| '0.000'     | '0.000'      | '10 000.000, кг'       | 'Смесь 50%'    | '1 до 01.11.2018 0:00:00' | '<не используются>' |
	И в таблице "ДеревоПродукции" я нажимаю на кнопку 'Качественные показатели'
	Тогда открылось окно 'Отчет по лабораторным анализам'
	И Я закрываю окно 'Отчет по лабораторным анализам'
	Тогда открылось окно 'Прослеживаемость Материал->Продукция'
	И в таблице "ДеревоПродукции" я нажимаю на кнопку 'Свернуть'
	И таблица "ДеревоПродукции" стала равной:
		| 'Номенклатура' | 'Количество 1' | 'Характеристика'    | 'Серия'                   | '% расхода' | 'Количество продукции' | '% расхода 1' | 'Количество 2' | 'Количество' | '% расхода 2' |
		| 'Смесь 50%'    | ''             | '<не используются>' | '1 до 01.11.2018 0:00:00' | '0.000'     | '10 000.000, кг'       | ''            | ''             | '0.000'      | ''            |
	И в таблице "ДеревоПродукции" я нажимаю на кнопку 'Развернуть'
	И таблица "ДеревоПродукции" стала равной:
		| 'Номенклатура'   | 'Количество 1' | 'Характеристика'    | 'Серия'                   | '% расхода' | 'Количество продукции' | '% расхода 1' | 'Количество 2' | 'Количество'     | '% расхода 2' |
		| 'Смесь 50%'      | ''             | '<не используются>' | '1 до 01.11.2018 0:00:00' | '0.000'     | '10 000.000, кг'       | ''            | ''             | '0.000'          | ''            |
		| 'Российский 50%' | ''             | 'Варка'             | '11.11.2018/1'            | '100.000'   | '950.000, кг'          | ''            | ''             | '10 000.000, кг' | ''            |
	И в таблице "ДеревоПродукции" я перехожу к строке:
		| '% расхода' | 'Количество'     | 'Количество продукции' | 'Номенклатура'   | 'Серия'        | 'Характеристика' |
		| '100.000'   | '10 000.000, кг' | '950.000, кг'          | 'Российский 50%' | '11.11.2018/1' | 'Варка'          |
	И в таблице "ДеревоПродукции" я нажимаю на кнопку 'Продукция -> Материалы'
	Тогда открылось окно 'Прослеживаемость Продукция->Материалы'
	И таблица "ДеревоМатериалов" стала равной:
		| 'Номенклатура'   | 'Характеристика'    | 'Серия'                   | 'Количество выпуск1' | 'Количество выпуск' | 'Количество выпуск2' | 'Количество израсходовано' | 'Количество израсходовано 1' | 'Количество израсходовано 2' |
		| 'Российский 50%' | 'Варка'             | '11.11.2018/1'            | '135.000, шт'        | '950.000, кг'       | ''                   | '0.000, кг'                | '0.000, шт'                  | ''                           |
		| 'Смесь 50%'      | '<не используются>' | '1 до 01.11.2018 0:00:00' | ''                   | '0.000, кг'         | ''                   | '10 000.000, кг'           | ''                           | ''                           |
	И в таблице "ДеревоМатериалов" я перехожу к строке:
		|  'Номенклатура' | 'Характеристика'    |
		|  'Смесь 50%'    | '<не используются>' |
	И в таблице "ДеревоМатериалов" я нажимаю на кнопку 'Качественные показатели'
	Тогда открылось окно 'Отчет по лабораторным анализам'
	И Я закрываю окно 'Отчет по лабораторным анализам'
	Тогда открылось окно 'Прослеживаемость Продукция->Материалы'
	И Я закрываю окно 'Прослеживаемость Продукция->Материалы'
	Тогда открылось окно 'Прослеживаемость Материал->Продукция'
	И Я закрываю окно 'Прослеживаемость Материал->Продукция'